import {createEventTeaser} from "./EventTeaserComponent";
import {EventTeaserData, NoDateEventTeaserData, SearchResultEventTeaserData} from "./EventTeaserData";

export default {
  title: 'Atoms/Event Teaser',
  args: {
    event: EventTeaserData,
  },
  argTypes: {
    event: {
      name: 'Veranstaltung',
    }
  },
  globals: {
    backgrounds: {
      value: "lightblue"
    }
  }
}

const Template = ({...args}) => {
  return createEventTeaser({...args});
};

export const EventTeaser = Template.bind({});
EventTeaser.args = {};

export const EventWithoutDate = Template.bind({});
EventWithoutDate.args = {
  event: NoDateEventTeaserData,
};

export const EventSearchResult = Template.bind({});
EventSearchResult.args = {
  event: SearchResultEventTeaserData,
};
